com.holonplatform.vaadin.flow.navigator

## Interface Navigator.NavigationBuilder

- All Superinterfaces:
    NavigationURLBuilder<Navigator.NavigationBuilder>, Serializable
  All Known Implementing Classes:
    DefaultNavigator.DefaultNavigationBuilder
  Enclosing interface:
    Navigator

      public static interface Navigator.NavigationBuilder
      extends NavigationURLBuilder<Navigator.NavigationBuilder>

  A builder to create a navigation location and trigger the navigation action.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.vaadin.flow.router.Location` | `asLocation()` Get the navigation location as a `Location`, including the navigation path and any declared query parameter.
    `default String` | `asLocationURL()` Get the navigation location as the URL part which includes the navigation path and any declared query parameter.
    `void` | `navigate()` Navigates to the location which is composed by the specified path and the provided query parameter values, if any.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.navigator.NavigationURLBuilder

      `encodeQueryParameters, withPathParameter, withQueryParameter, withQueryParameter`

- - ### Method Detail

    - #### asLocation

          com.vaadin.flow.router.Location asLocation()

      Get the navigation location as a `Location`, including the navigation path and any declared query parameter.
      Returns:
        the navigation `Location`

    - #### asLocationURL

          default String asLocationURL()

      Get the navigation location as the URL part which includes the navigation path and any declared query parameter.
      Returns:
        the navigation location URL part

    - #### navigate

          void navigate()

      Navigates to the location which is composed by the specified path and the provided query parameter values, if any.

Copyright © 2019 The Holon Platform. All rights reserved.